=== debian/changelog ===
ros-galactic-depthai-ros-msgs (2.5.3-1focal) focal; urgency=high

  * Updated release version
  * moved the depthai bridge position of find package (#115 <https://github.com/luxonis/depthai-ros/issues/115>)
  * Contributors: Sachin, Sachin Guruswamy

 -- Sachin Guruswamy <sachin@luxonis.com>  Sun, 21 Aug 2022 07:00:00 -0000

ros-galactic-depthai-ros-msgs (2.5.2-1focal) focal; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- Sachin Guruswamy <sachin@luxonis.com>  Wed, 01 Jun 2022 07:00:00 -0000

ros-galactic-depthai-ros-msgs (2.5.1-1focal) focal; urgency=high

  * Fix Build farm issues

 -- Sachin Guruswamy <sachin@luxonis.com>  Fri, 20 May 2022 07:00:00 -0000

ros-galactic-depthai-ros-msgs (2.5.0-1focal) focal; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- Sachin Guruswamy <sachin@luxonis.com>  Fri, 20 May 2022 07:00:00 -0000
